"""
  Edition type, has name
"""
type Edition {
  id: String!
  idHackathon: String!
  versionName: String!
  date_ini: String!
  date_end: String!
  theme: String!
  description: String!
  rules: [String!]!
  preRequirement: [String!]
  subscription: String!
  location: String!
  judgingCriteria: String!
  judgingCriteiraName: String!
}
input EditionInput {
  versionName: String!
  date_ini: String!
  date_end: String!
  theme: String
  description: String
  rules: [String!]
  preRequirement: [String!]
  subscription: String!
  location: String
  judgingCriteria: String
  judgingCriteriaName: String
}
type Query {
  getEdition(idEdition: EditionInput!): Edition!
}
type Mutation {
  createEdition(idHackathon: String!, versionName: String!): Edition!
  updateEdition(edition: EditionInput!): Edition!
  deleteEdition(edition: EditionInput!): Edition
}